Skip to main content
PATCH
/
v2
/
objects
/
{object}
/
records
/
{record_id}
Update a record (append multiselect values)
curl --request PATCH \
  --url https://api.attio.com/v2/objects/{object}/records/{record_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "values": {
      "41252299-f8c7-4b5e-99c9-4ff8321d2f96": "Text value",
      "multiselect_attribute": [
        "Select option 1",
        "Select option 2"
      ]
    }
  }
}
'
{
  "data": {
    "id": {
      "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
      "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
      "record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b"
    },
    "created_at": "2022-11-21T13:22:49.061281000Z",
    "web_url": "https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b",
    "values": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

object
string
required

A UUID or slug of the object the record belongs to.

Example:

"people"

record_id
string
required

A UUID of the record to update.

Example:

"891dcbfc-9141-415d-9b2a-2238a6cc012d"

Body

application/json
data
object
required

Response

Success

Success

data
object
required